Bug 817357 - Dependience problem of thunderbird 12 and enigmail.
Dependience problem of thunderbird 12 and enigmail.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 07:29 EDT by Jerzy Spendel
Modified: 2012-04-30 04:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 04:16:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerzy Spendel 2012-04-29 07:29:08 EDT
Description of problem:

Enigmail needs thunderbird < 12 but in repositories is now 12.

Version-Release number of selected component (if applicable):

thunderbird-12.0-1.fc16.x86_64
thunderbird-enigmail-1.4-2.fc16.x86_64

How reproducible:


Steps to Reproduce:
1.Install thunderbird in Fedora 16
2.Try to install thunderbird-enigmail
3.
  
Actual results:

[jerzy@FedoraG wine-1.5.3]$ sudo yum install thunderbird thunderbird-enigmail
Wczytane wtyczki: langpacks, presto, refresh-packagekit
Rozwiązywanie zależności
--> Wykonywanie sprawdzania transakcji
---> Pakiet thunderbird.x86_64 0:12.0-1.fc16 zostanie zainstalowany
---> Pakiet thunderbird-enigmail.x86_64 0:1.4-2.fc16 zostanie zainstalowany
--> Przetwarzanie zależności: thunderbird < 12.0 dla pakietu: thunderbird-enigmail-1.4-2.fc16.x86_64
--> Ukończono rozwiązywanie zależności
Błąd: Pakiet: thunderbird-enigmail-1.4-2.fc16.x86_64 (rpmfusion-free-updates)
          Wymaga: thunderbird < 12.0
          Dostępne: thunderbird-7.0.1-1.fc16.x86_64 (fedora)
              thunderbird = 7.0.1-1.fc16
          Instalowanie: thunderbird-12.0-1.fc16.x86_64 (updates)
              thunderbird = 12.0-1.fc16
 Można spróbować użyć --skip-broken, aby obejść problem
 Można spróbować wykonać polecenie: rpm -Va --nofiles --nodigest



Expected results:

Installed package Thunderbird-enigmail

Additional info:

I am now using kernel 3.1.0-7.fc16.x86_64 because actual version of kernel returns kernel panic while booting (but previously when i could boot actual kernel internet wasn't working).
Comment 1 Felix Schwarz 2012-04-30 04:09:43 EDT
thunderbird-enigmail is not provided by Fedora but (likely) by rpmfusion so there is nothing Fedora can do about this.

rpmfusion built a new version (1.4.1-1.fc16.1) which is compatible with Thunderbird 12. The package is currently in testing so you have to enable it explicitely:
yum install thunderbird-enigmail --enablerepo=rpmfusion-free-updates-testing

Leaving the bug open as I'm not a maintainer for Fedora Thunderbird.
Comment 2 Martin Stransky 2012-04-30 04:16:00 EDT
Yes, we don't own thunderbird-enigmail.

Note You need to log in before you can comment on or make changes to this bug.